<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

if (isset($_POST['dias_id'])) 
{
    $res_dias_id = $_POST['dias_id'];
    $usuarios_usu_id = $_POST['usuario_id'];

    // Aquí puedes continuar con la consulta utilizando $res_dias_id
    $registros1 = mysqli_query($con, "SELECT * FROM zhop_reserva_usuario WHERE usuario_usu_id='$usuarios_usu_id' AND dias_id='$res_dias_id' AND sucursal='$sucursal' AND empresa='$empresa' ORDER BY horas_id ASC") or die(mysqli_error($con));
    while($num = mysqli_fetch_array($registros1))
    {
        $res_usu_id = $num['res_usu_id'];
        $horas_estado = $num['horas_estado'];
        $horas = $num['horas'];
        ?>
        <input type="checkbox" id="<?php echo $res_usu_id;?>" name="horas_usu[]" value="<?php echo $res_usu_id; ?>" onclick="update_horausu(10,this.value);" <?php echo ($horas_estado == 'activo') ? 'checked' : ''; ?>>
        <label class="lab" for="<?php echo $res_usu_id; ?>"><?php echo $horas; ?></label>
        <?php       
    }
}
?>

<script type="text/javascript">
// actualizar estado del horario segun usuario 
function update_horausu(campo,horas_usu)
{
var parametros = {"action":"update","campo":campo,"horas_usu":horas_usu}; 
$.ajax({
type: "GET",
url: "./php_pagina_online/actualizar_estado_hora_usuario.php",
data: parametros,
beforeSend: function(objeto){
$("#resultados").html("Mensaje: Cargando...");
},
success: function(datos){
$("#resultados").html(datos);
}
});
}

</script>